package net.mcreator.insectocraft.entity.renderer;

import net.minecraftforge.fml.client.registry.RenderingRegistry;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.client.event.ModelRegistryEvent;
import net.minecraftforge.api.distmarker.OnlyIn;
import net.minecraftforge.api.distmarker.Dist;

import net.minecraft.util.math.MathHelper;
import net.minecraft.util.ResourceLocation;
import net.minecraft.entity.Entity;
import net.minecraft.client.renderer.model.ModelRenderer;
import net.minecraft.client.renderer.entity.model.EntityModel;
import net.minecraft.client.renderer.entity.MobRenderer;

import net.mcreator.insectocraft.entity.CrabEntity;

import com.mojang.blaze3d.vertex.IVertexBuilder;
import com.mojang.blaze3d.matrix.MatrixStack;

@OnlyIn(Dist.CLIENT)
public class CrabRenderer {
	public static class ModelRegisterHandler {
		@SubscribeEvent
		@OnlyIn(Dist.CLIENT)
		public void registerModels(ModelRegistryEvent event) {
			RenderingRegistry.registerEntityRenderingHandler(CrabEntity.entity, renderManager -> {
				return new MobRenderer(renderManager, new Modelcrab(), 0.5f) {
					@Override
					public ResourceLocation getEntityTexture(Entity entity) {
						return new ResourceLocation("insectocraft:textures/crabtexture.png");
					}
				};
			});
		}
	}

	// Made with Blockbench 3.9.3
	// Exported for Minecraft version 1.15 - 1.16 with MCP mappings
	// Paste this class into your mod and generate all required imports
	public static class Modelcrab extends EntityModel<Entity> {
		private final ModelRenderer body;
		private final ModelRenderer armleft;
		private final ModelRenderer armright;
		private final ModelRenderer leg1;
		private final ModelRenderer leg2;
		private final ModelRenderer leg3;
		private final ModelRenderer leg4;
		private final ModelRenderer leg5;
		private final ModelRenderer leg6;
		public Modelcrab() {
			textureWidth = 64;
			textureHeight = 64;
			body = new ModelRenderer(this);
			body.setRotationPoint(0.0F, 22.0F, 0.0F);
			body.setTextureOffset(0, 0).addBox(-7.0F, -9.0F, -2.0F, 14.0F, 9.0F, 4.0F, 0.0F, false);
			body.setTextureOffset(17, 28).addBox(-2.0F, -4.0F, -3.0F, 1.0F, 3.0F, 1.0F, 0.0F, false);
			body.setTextureOffset(0, 0).addBox(1.0F, -4.0F, -3.0F, 1.0F, 3.0F, 1.0F, 0.0F, false);
			body.setTextureOffset(8, 19).addBox(-5.0F, -13.0F, -1.0F, 3.0F, 4.0F, 1.0F, 0.0F, false);
			body.setTextureOffset(0, 18).addBox(2.0F, -13.0F, -1.0F, 3.0F, 4.0F, 1.0F, 0.0F, false);
			armleft = new ModelRenderer(this);
			armleft.setRotationPoint(7.0F, 17.0F, 0.0F);
			armleft.setTextureOffset(10, 16).addBox(0.0F, -1.0F, -1.0F, 4.0F, 2.0F, 1.0F, 0.0F, false);
			armleft.setTextureOffset(12, 24).addBox(2.0F, -5.0F, -1.0F, 2.0F, 4.0F, 1.0F, 0.0F, false);
			armleft.setTextureOffset(13, 14).addBox(0.0F, -6.0F, -1.0F, 6.0F, 1.0F, 1.0F, 0.0F, false);
			armleft.setTextureOffset(6, 24).addBox(0.0F, -10.0F, -1.0F, 2.0F, 4.0F, 1.0F, 0.0F, false);
			armleft.setTextureOffset(29, 30).addBox(0.0F, -11.0F, -1.0F, 1.0F, 1.0F, 1.0F, 0.0F, false);
			armleft.setTextureOffset(25, 30).addBox(5.0F, -11.0F, -1.0F, 1.0F, 1.0F, 1.0F, 0.0F, false);
			armleft.setTextureOffset(0, 23).addBox(4.0F, -10.0F, -1.0F, 2.0F, 4.0F, 1.0F, 0.0F, false);
			armright = new ModelRenderer(this);
			armright.setRotationPoint(-7.0F, 17.0F, 0.0F);
			armright.setTextureOffset(0, 15).addBox(-4.0F, -1.0F, -1.0F, 4.0F, 2.0F, 1.0F, 0.0F, false);
			armright.setTextureOffset(22, 21).addBox(-4.0F, -5.0F, -1.0F, 2.0F, 4.0F, 1.0F, 0.0F, false);
			armright.setTextureOffset(0, 13).addBox(-6.0F, -6.0F, -1.0F, 6.0F, 1.0F, 1.0F, 0.0F, false);
			armright.setTextureOffset(22, 16).addBox(-2.0F, -10.0F, -1.0F, 2.0F, 4.0F, 1.0F, 0.0F, false);
			armright.setTextureOffset(16, 19).addBox(-6.0F, -10.0F, -1.0F, 2.0F, 4.0F, 1.0F, 0.0F, false);
			armright.setTextureOffset(21, 30).addBox(-6.0F, -11.0F, -1.0F, 1.0F, 1.0F, 1.0F, 0.0F, false);
			armright.setTextureOffset(12, 29).addBox(-1.0F, -11.0F, -1.0F, 1.0F, 1.0F, 1.0F, 0.0F, false);
			leg1 = new ModelRenderer(this);
			leg1.setRotationPoint(-2.0F, 22.0F, -2.0F);
			leg1.setTextureOffset(28, 16).addBox(-1.0F, 0.0F, 0.0F, 2.0F, 2.0F, 1.0F, 0.0F, false);
			leg1.setTextureOffset(6, 29).addBox(-1.0F, 0.0F, 1.0F, 2.0F, 1.0F, 1.0F, 0.0F, false);
			leg2 = new ModelRenderer(this);
			leg2.setRotationPoint(-6.0F, 22.0F, -2.0F);
			leg2.setTextureOffset(0, 28).addBox(-1.0F, 0.0F, 0.0F, 2.0F, 2.0F, 1.0F, 0.0F, false);
			leg2.setTextureOffset(28, 28).addBox(-1.0F, 0.0F, 1.0F, 2.0F, 1.0F, 1.0F, 0.0F, false);
			leg3 = new ModelRenderer(this);
			leg3.setRotationPoint(6.0F, 22.0F, -2.0F);
			leg3.setTextureOffset(27, 25).addBox(-1.0F, 0.0F, 0.0F, 2.0F, 2.0F, 1.0F, 0.0F, false);
			leg3.setTextureOffset(28, 22).addBox(-1.0F, 0.0F, 1.0F, 2.0F, 1.0F, 1.0F, 0.0F, false);
			leg4 = new ModelRenderer(this);
			leg4.setRotationPoint(2.0F, 22.0F, -2.0F);
			leg4.setTextureOffset(27, 13).addBox(-1.0F, 0.0F, 0.0F, 2.0F, 2.0F, 1.0F, 0.0F, false);
			leg4.setTextureOffset(27, 20).addBox(-1.0F, 0.0F, 1.0F, 2.0F, 1.0F, 1.0F, 0.0F, false);
			leg5 = new ModelRenderer(this);
			leg5.setRotationPoint(-7.0F, 22.0F, 1.0F);
			leg5.setTextureOffset(22, 26).addBox(0.0F, 0.0F, -1.0F, 1.0F, 2.0F, 2.0F, 0.0F, false);
			leg6 = new ModelRenderer(this);
			leg6.setRotationPoint(7.0F, 22.0F, 1.0F);
			leg6.setTextureOffset(18, 24).addBox(-1.0F, 0.0F, -1.0F, 1.0F, 2.0F, 2.0F, 0.0F, false);
		}

		@Override
		public void render(MatrixStack matrixStack, IVertexBuilder buffer, int packedLight, int packedOverlay, float red, float green, float blue,
				float alpha) {
			body.render(matrixStack, buffer, packedLight, packedOverlay);
			armleft.render(matrixStack, buffer, packedLight, packedOverlay);
			armright.render(matrixStack, buffer, packedLight, packedOverlay);
			leg1.render(matrixStack, buffer, packedLight, packedOverlay);
			leg2.render(matrixStack, buffer, packedLight, packedOverlay);
			leg3.render(matrixStack, buffer, packedLight, packedOverlay);
			leg4.render(matrixStack, buffer, packedLight, packedOverlay);
			leg5.render(matrixStack, buffer, packedLight, packedOverlay);
			leg6.render(matrixStack, buffer, packedLight, packedOverlay);
		}

		public void setRotationAngle(ModelRenderer modelRenderer, float x, float y, float z) {
			modelRenderer.rotateAngleX = x;
			modelRenderer.rotateAngleY = y;
			modelRenderer.rotateAngleZ = z;
		}

		public void setRotationAngles(Entity e, float f, float f1, float f2, float f3, float f4) {
			this.armright.rotateAngleX = MathHelper.cos(f * 0.6662F + (float) Math.PI) * f1;
			this.leg1.rotateAngleX = MathHelper.cos(f * 1.0F) * 1.0F * f1;
			this.armleft.rotateAngleX = MathHelper.cos(f * 0.6662F) * f1;
			this.leg4.rotateAngleX = MathHelper.cos(f * 1.0F) * -1.0F * f1;
			this.leg5.rotateAngleX = MathHelper.cos(f * 1.0F) * 1.0F * f1;
			this.leg2.rotateAngleX = MathHelper.cos(f * 1.0F) * -1.0F * f1;
			this.leg3.rotateAngleX = MathHelper.cos(f * 1.0F) * 1.0F * f1;
			this.leg6.rotateAngleX = MathHelper.cos(f * 1.0F) * -1.0F * f1;
			this.body.rotateAngleY = f3 / (180F / (float) Math.PI);
			this.body.rotateAngleX = f4 / (180F / (float) Math.PI);
		}
	}
}
