package net.mcreator.insectocraft.entity.renderer;

import net.minecraftforge.fml.client.registry.RenderingRegistry;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.client.event.ModelRegistryEvent;
import net.minecraftforge.api.distmarker.OnlyIn;
import net.minecraftforge.api.distmarker.Dist;

import net.minecraft.util.math.MathHelper;
import net.minecraft.util.ResourceLocation;
import net.minecraft.entity.Entity;
import net.minecraft.client.renderer.model.ModelRenderer;
import net.minecraft.client.renderer.entity.model.EntityModel;
import net.minecraft.client.renderer.entity.MobRenderer;

import net.mcreator.insectocraft.entity.WaspEntity;

import com.mojang.blaze3d.vertex.IVertexBuilder;
import com.mojang.blaze3d.matrix.MatrixStack;

@OnlyIn(Dist.CLIENT)
public class WaspRenderer {
	public static class ModelRegisterHandler {
		@SubscribeEvent
		@OnlyIn(Dist.CLIENT)
		public void registerModels(ModelRegistryEvent event) {
			RenderingRegistry.registerEntityRenderingHandler(WaspEntity.entity, renderManager -> {
				return new MobRenderer(renderManager, new Modelwasp(), 0.5f) {
					@Override
					public ResourceLocation getEntityTexture(Entity entity) {
						return new ResourceLocation("insectocraft:textures/wasptex.png");
					}
				};
			});
		}
	}

	// Made with Blockbench 3.9.3
	// Exported for Minecraft version 1.15 - 1.16 with MCP mappings
	// Paste this class into your mod and generate all required imports
	public static class Modelwasp extends EntityModel<Entity> {
		private final ModelRenderer head;
		private final ModelRenderer cube_r1;
		private final ModelRenderer cube_r2;
		private final ModelRenderer body1;
		private final ModelRenderer cube_r3;
		private final ModelRenderer body2;
		private final ModelRenderer cube_r4;
		private final ModelRenderer wing1;
		private final ModelRenderer cube_r5;
		private final ModelRenderer wing2;
		private final ModelRenderer cube_r6;
		private final ModelRenderer leg1;
		private final ModelRenderer leg2;
		private final ModelRenderer cube_r7;
		private final ModelRenderer leg3;
		private final ModelRenderer leg4;
		private final ModelRenderer cube_r8;
		private final ModelRenderer leg5;
		private final ModelRenderer leg6;
		public Modelwasp() {
			textureWidth = 32;
			textureHeight = 32;
			head = new ModelRenderer(this);
			head.setRotationPoint(0.0F, 14.0F, -2.0F);
			setRotationAngle(head, -0.0436F, 0.0F, 0.0F);
			head.setTextureOffset(14, 14).addBox(-1.0F, -2.0968F, -1.5657F, 3.0F, 3.0F, 2.0F, 0.0F, false);
			cube_r1 = new ModelRenderer(this);
			cube_r1.setRotationPoint(0.0F, 8.9032F, 2.4343F);
			head.addChild(cube_r1);
			setRotationAngle(cube_r1, -0.5672F, 0.0F, 0.0F);
			cube_r1.setTextureOffset(4, 0).addBox(1.0F, -7.0F, -10.0F, 1.0F, 0.0F, 1.0F, 0.0F, false);
			cube_r1.setTextureOffset(3, 7).addBox(-1.0F, -7.0F, -10.0F, 1.0F, 0.0F, 1.0F, 0.0F, false);
			cube_r2 = new ModelRenderer(this);
			cube_r2.setRotationPoint(0.0F, 8.9032F, 2.4343F);
			head.addChild(cube_r2);
			setRotationAngle(cube_r2, -0.2182F, 0.0F, 0.0F);
			cube_r2.setTextureOffset(0, 0).addBox(1.0F, -10.0F, -8.0F, 1.0F, 0.0F, 1.0F, 0.0F, false);
			cube_r2.setTextureOffset(2, 0).addBox(-1.0F, -10.0F, -8.0F, 1.0F, 0.0F, 1.0F, 0.0F, false);
			body1 = new ModelRenderer(this);
			body1.setRotationPoint(0.0F, 14.0F, -1.0F);
			cube_r3 = new ModelRenderer(this);
			cube_r3.setRotationPoint(0.0F, -1.0F, 0.0F);
			body1.addChild(cube_r3);
			setRotationAngle(cube_r3, -0.3927F, 0.0F, 0.0F);
			cube_r3.setTextureOffset(13, 5).addBox(-1.0F, -1.0F, 0.0F, 3.0F, 3.0F, 3.0F, 0.0F, false);
			body2 = new ModelRenderer(this);
			body2.setRotationPoint(0.0F, 15.0F, 2.0F);
			cube_r4 = new ModelRenderer(this);
			cube_r4.setRotationPoint(0.0F, 8.0F, -4.0F);
			body2.addChild(cube_r4);
			setRotationAngle(cube_r4, -0.7854F, 0.0F, 0.0F);
			cube_r4.setTextureOffset(4, 5).addBox(0.0F, -9.0F, 2.0F, 1.0F, 1.0F, 1.0F, 0.0F, false);
			cube_r4.setTextureOffset(0, 8).addBox(-1.0F, -10.0F, -3.0F, 3.0F, 3.0F, 5.0F, 0.0F, false);
			wing1 = new ModelRenderer(this);
			wing1.setRotationPoint(-1.0F, 14.0F, 0.0F);
			cube_r5 = new ModelRenderer(this);
			cube_r5.setRotationPoint(-3.0F, -1.0F, 1.0F);
			wing1.addChild(cube_r5);
			setRotationAngle(cube_r5, -3.1416F, 0.6981F, 3.1416F);
			cube_r5.setTextureOffset(4, 0).addBox(-3.0F, 1.0F, -4.0F, 2.0F, 0.0F, 8.0F, 0.0F, false);
			wing2 = new ModelRenderer(this);
			wing2.setRotationPoint(2.0F, 14.0F, 0.0F);
			setRotationAngle(wing2, 0.0F, 1.3526F, 0.0F);
			cube_r6 = new ModelRenderer(this);
			cube_r6.setRotationPoint(-3.4329F, -1.0F, 0.0474F);
			wing2.addChild(cube_r6);
			setRotationAngle(cube_r6, -3.1416F, 0.8727F, 3.1416F);
			cube_r6.setTextureOffset(0, 0).addBox(-3.0F, 1.0F, -4.0F, 2.0F, 0.0F, 8.0F, 0.0F, false);
			leg1 = new ModelRenderer(this);
			leg1.setRotationPoint(-1.0F, 15.0F, 1.0F);
			leg1.setTextureOffset(6, 0).addBox(0.0F, 0.0F, -1.0F, 0.0F, 4.0F, 1.0F, 0.0F, false);
			leg2 = new ModelRenderer(this);
			leg2.setRotationPoint(-1.0F, 14.0F, -1.0F);
			cube_r7 = new ModelRenderer(this);
			cube_r7.setRotationPoint(1.0F, 2.0F, -1.0F);
			leg2.addChild(cube_r7);
			setRotationAngle(cube_r7, -0.3927F, 0.0F, 0.0F);
			cube_r7.setTextureOffset(2, 4).addBox(-1.0F, -2.0F, 0.0F, 0.0F, 4.0F, 1.0F, 0.0F, false);
			leg3 = new ModelRenderer(this);
			leg3.setRotationPoint(2.0F, 15.0F, 1.0F);
			leg3.setTextureOffset(4, 0).addBox(0.0F, 0.0F, -1.0F, 0.0F, 4.0F, 1.0F, 0.0F, false);
			leg4 = new ModelRenderer(this);
			leg4.setRotationPoint(2.0F, 14.0F, -1.0F);
			cube_r8 = new ModelRenderer(this);
			cube_r8.setRotationPoint(1.0F, 2.0F, -1.0F);
			leg4.addChild(cube_r8);
			setRotationAngle(cube_r8, -0.3927F, 0.0F, 0.0F);
			cube_r8.setTextureOffset(0, 4).addBox(-1.0F, -2.0F, 0.0F, 0.0F, 4.0F, 1.0F, 0.0F, false);
			leg5 = new ModelRenderer(this);
			leg5.setRotationPoint(-1.0F, 17.0F, 3.0F);
			leg5.setTextureOffset(2, 0).addBox(0.0F, 0.0F, -1.0F, 0.0F, 4.0F, 1.0F, 0.0F, false);
			leg6 = new ModelRenderer(this);
			leg6.setRotationPoint(2.0F, 17.0F, 3.0F);
			leg6.setTextureOffset(0, 0).addBox(0.0F, 0.0F, -1.0F, 0.0F, 4.0F, 1.0F, 0.0F, false);
		}

		@Override
		public void render(MatrixStack matrixStack, IVertexBuilder buffer, int packedLight, int packedOverlay, float red, float green, float blue,
				float alpha) {
			head.render(matrixStack, buffer, packedLight, packedOverlay);
			body1.render(matrixStack, buffer, packedLight, packedOverlay);
			body2.render(matrixStack, buffer, packedLight, packedOverlay);
			wing1.render(matrixStack, buffer, packedLight, packedOverlay);
			wing2.render(matrixStack, buffer, packedLight, packedOverlay);
			leg1.render(matrixStack, buffer, packedLight, packedOverlay);
			leg2.render(matrixStack, buffer, packedLight, packedOverlay);
			leg3.render(matrixStack, buffer, packedLight, packedOverlay);
			leg4.render(matrixStack, buffer, packedLight, packedOverlay);
			leg5.render(matrixStack, buffer, packedLight, packedOverlay);
			leg6.render(matrixStack, buffer, packedLight, packedOverlay);
		}

		public void setRotationAngle(ModelRenderer modelRenderer, float x, float y, float z) {
			modelRenderer.rotateAngleX = x;
			modelRenderer.rotateAngleY = y;
			modelRenderer.rotateAngleZ = z;
		}

		public void setRotationAngles(Entity e, float f, float f1, float f2, float f3, float f4) {
			this.head.rotateAngleY = f3 / (180F / (float) Math.PI);
			this.head.rotateAngleX = f4 / (180F / (float) Math.PI);
			this.leg1.rotateAngleX = MathHelper.cos(f * 1.0F) * 1.0F * f1;
			this.leg4.rotateAngleX = MathHelper.cos(f * 1.0F) * 1.0F * f1;
			this.leg5.rotateAngleX = MathHelper.cos(f * 1.0F) * 1.0F * f1;
			this.leg2.rotateAngleX = MathHelper.cos(f * 1.0F) * -1.0F * f1;
			this.leg3.rotateAngleX = MathHelper.cos(f * 1.0F) * -1.0F * f1;
			this.wing1.rotateAngleY = MathHelper.cos(f * 0.6662F + (float) Math.PI) * f1;
			this.wing2.rotateAngleY = MathHelper.cos(f * 0.6662F) * f1;
			this.leg6.rotateAngleX = MathHelper.cos(f * 1.0F) * -1.0F * f1;
		}
	}
}
